Subject: probable bug in pktgen

From: Ben Greear <[email-masked]>
Date: Tue, 12 Oct 2004 17:01:47 -0700

While testing my own pktgen code I noticed that I can cause spectacular
crashes by setting the 'multiskb' to > 1 and using VLAN interfaces.  I
believe this is because the virtual device changes the skb->dev pointer
when it xmits, and then pktgen tries to send exactly this pkt again,
even though the skb->dev is now hosed up.

Unfortunately, my patch will not do the kernel pktgen much good, but
next time someone is hacking there, maybe they can fix it :)

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com